# Uses of Class
org.apache.lucene.store.RateLimiter

Packages that use RateLimiter
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of RateLimiter in org.apache.lucene.index

  Subclasses of RateLimiter in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `class`
  `MergeRateLimiter`
  This is the `RateLimiter` that `IndexWriter` assigns to each running merge, to give `MergeScheduler`s ionice like control.

- ## Uses of RateLimiter in org.apache.lucene.store

  Subclasses of RateLimiter in org.apache.lucene.store
  Modifier and Type
  Class
  Description
  `static class`
  `RateLimiter.SimpleRateLimiter`
  Simple class to rate limit IO.
  Constructors in org.apache.lucene.store with parameters of type RateLimiter
  Modifier
  Constructor
  Description
  ``
  `RateLimitedIndexOutput(RateLimiter rateLimiter, IndexOutput out)`